BASENAME(1B)

NAME
basename - (BSD) return non-directory portion of a pathname

SYNOPSIS
/usr/lib/heirloom-tools/ucb/basename string [suffix]

DESCRIPTION
Basename deletes the directory part of the filename-like string and prints the result. If suffix is specified, and suffix matches the last part of the result, the matched portion of the fixed string string is also deleted.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Determines the mapping of bytes to characters.

SEE ALSO
dirname(1), grep(1), sh(1), locale(7)